<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/icon_bgm"
    tools:context=".ui.uses.WarningEventsActivity">

    <RelativeLayout
        android:id="@+id/rel1"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="10dp">

        <ImageView
            android:id="@+id/image"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp" />

        <TextView
            android:id="@+id/deptName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="10dp"
            android:layout_toRightOf="@+id/image"
            android:text="实验室名称-房间号"
            android:textColor="@color/white"
            android:textSize="22sp" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_centerVertical="true"
            android:layout_marginTop="2dp">

            <TextView
                android:id="@+id/tvTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:text="化学品智能管理"
                android:textColor="@color/white"
                android:textSize="24sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/nowTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="6dp"
                android:layout_toRightOf="@+id/tvTitle"
                android:maxLines="1"
                android:textColor="@color/white" />

        </LinearLayout>


        <RelativeLayout
            android:id="@+id/loggedIn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="18dp"
            android:gravity="center_vertical">

            <ImageView
                android:id="@+id/imageName"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_centerVertical="true"
                android:layout_marginRight="6dp" />

            <TextView
                android:id="@+id/tvName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toRightOf="@+id/imageName"
                android:text="李XX"
                android:textColor="@color/white" />

            <ImageView
                android:id="@+id/imgOut"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toRightOf="@+id/tvName"
                android:background="@mipmap/cshrk_dl_tc" />

            <TextView
                android:id="@+id/tvOutLogin"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginRight="10dp"
                android:layout_toRightOf="@+id/imgOut"
                android:text="退出"
                android:textColor="@color/white"
                android:textSize="16sp" />
        </RelativeLayout>
    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/rel1"
        android:layout_marginLeft="31dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="31dp"
        android:layout_marginBottom="69dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/bg_add_chemicals_one"
            android:orientation="vertical"
            android:paddingLeft="20dp"
            android:paddingTop="25dp"
            android:paddingRight="20dp">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <RelativeLayout
                    android:id="@+id/relCabinet"
                    android:layout_width="75dp"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true">

                    <Spinner
                        android:id="@+id/spLev"
                        android:layout_width="match_parent"
                        android:layout_height="30dp"
                        android:background="@drawable/bg_shu_ru_kuang_twoe"
                        android:entries="@array/spinner_spCli"
                        android:gravity="center"
                        android:textSize="12sp"
                        android:textColor="@color/black" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:background="@mipmap/icon_kzjc_zk" />
                </RelativeLayout>

                <TextView
                    android:id="@+id/countSi"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10dp"
                    android:layout_toRightOf="@+id/relCabinet"
                    android:text="待处理:200"
                    android:textColor="@color/black"
                    android:textSize="14sp" />

                <RelativeLayout
                    android:id="@+id/re1"
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="4dp">

                    <TextView
                        android:id="@+id/dateTime"
                        android:layout_width="match_parent"
                        android:layout_height="30dp"
                        android:background="@drawable/bg_shu_ru_kuang"
                        android:entries="@array/spinner_spCli"
                        android:gravity="center"
                        android:paddingRight="10dp"
                        android:text="请选择时间"
                        android:textColor="@color/black"
                        android:textSize="12sp" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:background="@mipmap/icon_kzjc_zk" />
                </RelativeLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="10dp"
                    android:layout_toLeftOf="@+id/re1"
                    android:orientation="horizontal">

                    <RadioButton
                        android:id="@+id/whole"
                        android:layout_width="50dp"
                        android:layout_height="30dp"
                        android:background="@drawable/bg_sele"
                        android:button="@null"
                        android:checked="true"
                        android:gravity="center"
                        android:text="全部"
                        android:textColor="@drawable/text_color_selector"
                        android:textSize="12sp" />

                    <RadioButton
                        android:id="@+id/oneMonth"
                        android:layout_width="50dp"
                        android:layout_height="30dp"
                        android:background="@drawable/bg_one"
                        android:button="@null"
                        android:gravity="center"
                        android:text="近一个月"
                        android:textColor="@drawable/text_color_selector"
                        android:textSize="12sp" />

                    <RadioButton
                        android:id="@+id/threeMonths"
                        android:layout_width="50dp"
                        android:layout_height="30dp"
                        android:background="@drawable/bg_sele_you"
                        android:button="@null"
                        android:gravity="center"
                        android:text="近三个月"
                        android:textColor="@drawable/text_color_selector"
                        android:textSize="12sp" />

                </LinearLayout>


            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:layout_marginTop="20dp"
                android:background="@drawable/bg_bei_ji"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="13dp">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.6"
                    android:text="报警时间"
                    android:textColor="@color/black"
                    android:textSize="12sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.4"
                    android:text="预警事件"
                    android:textColor="@color/black"
                    android:textSize="12sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="状态"
                    android:textColor="@color/black"
                    android:textSize="12sp"
                    android:visibility="gone" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.77"
                    android:gravity="center"
                    android:text="操作"
                    android:textColor="@color/black"
                    android:textSize="12sp" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rvView"
                android:layout_width="match_parent"
                android:layout_height="235dp"
                android:layout_marginTop="10dp"
                android:paddingLeft="13dp" />
        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="22dp">

            <LinearLayout
                android:id="@+id/rvPage"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/one"
                    android:layout_width="30dp"
                    android:layout_height="25dp"
                    android:background="@drawable/bg_sou_suo_page"
                    android:gravity="center"
                    android:text="1"
                    android:textColor="@color/white"
                    android:textSize="10sp" />

                <TextView
                    android:id="@+id/two"
                    android:layout_width="30dp"
                    android:layout_height="25dp"
                    android:layout_marginLeft="10dp"
                    android:background="@drawable/bg_sou_suo_two_page"
                    android:gravity="center"
                    android:text="2"
                    android:textColor="@color/black"
                    android:textSize="10sp"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/three"
                    android:layout_width="30dp"
                    android:layout_height="25dp"
                    android:layout_marginLeft="10dp"
                    android:background="@drawable/bg_sou_suo_two"
                    android:gravity="center"
                    android:text="3"
                    android:textColor="@color/black"
                    android:textSize="10sp"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/drop"
                    android:layout_width="30dp"
                    android:layout_height="25dp"
                    android:layout_marginLeft="10dp"
                    android:background="@drawable/bg_sou_suo_two"
                    android:gravity="center"
                    android:text="..."
                    android:textColor="@color/black"
                    android:textSize="10sp"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/many"
                    android:layout_width="30dp"
                    android:layout_height="25dp"
                    android:layout_marginLeft="10dp"
                    android:background="@drawable/bg_sou_suo_two"
                    android:gravity="center"
                    android:text="4"
                    android:textColor="@color/black"
                    android:textSize="10sp"
                    android:visibility="gone" />
            </LinearLayout>

            <Button
                android:id="@+id/butUpper"
                android:layout_width="65dp"
                android:layout_height="25dp"
                android:layout_centerVertical="true"
                android:layout_marginRight="10dp"
                android:layout_toLeftOf="@+id/rvPage"
                android:background="@drawable/bg_up_page"
                android:text="上一页"
                android:textColor="@color/black"
                android:textSize="10sp" />

            <Button
                android:id="@+id/butNext"
                android:layout_width="65dp"
                android:layout_height="25dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="10dp"
                android:layout_toRightOf="@+id/rvPage"
                android:background="@drawable/bg_sou_suo_page"
                android:text="下一页"
                android:textColor="@color/white"
                android:textSize="10sp" />
        </RelativeLayout>
    </RelativeLayout>

    <Button
        android:id="@+id/tvReturn"
        android:layout_width="85dp"
        android:layout_height="30dp"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="20dp"
        android:background="@drawable/bg_retrun"
        android:text="返回180s"
        android:textColor="@color/white"
        android:textSize="12sp" />


</RelativeLayout>